Bug 20668 - Update two-column templates with Bootstrap grid: Acquisitions part 2
Summary: Update two-column templates with Bootstrap grid: Acquisitions part 2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20329
Blocks: 14546 20654 20672 20690 20736 20738 20739 20740 20741 20742 20743
  Show dependency treegraph
 
Reported: 2018-04-26 18:44 UTC by Owen Leonard
Modified: 2018-07-10 08:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20668: Update two-column templates with Bootstrap grid: Acquisitions part 2 (15.05 KB, patch)
2018-05-07 14:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20668: Update two-column templates with Bootstrap grid: Acquisitions part 2 (15.24 KB, patch)
2018-05-09 01:28 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 20668: Update two-column templates with Bootstrap grid: Acquisitions part 2 (15.35 KB, patch)
2018-06-05 16:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-04-26 18:44:08 UTC
This patch will convert several more acquisitions templates to use the Bootstrap grid:

acqui/edi_ean.tt
acqui/histsearch.tt
acqui/invoice.tt
acqui/invoice-files.tt
acqui/invoices.tt
acqui/lateorders.tt
Comment 1 Owen Leonard 2018-05-07 14:56:26 UTC Comment hidden (obsolete)
Comment 2 Dilan Johnpullé 2018-05-09 01:28:32 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2018-06-05 16:30:58 UTC
Created attachment 75823 [details] [review]
Bug 20668: Update two-column templates with Bootstrap grid: Acquisitions part 2

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

Staff client CSS is modified in this patch so that elements which were
styled based on the sidebar's "yui-b" class will work with <aside>.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- I don't have EDI set up, so to test acqui/edi_ean.tt I navigate
  directly to /cgi-bin/koha/acqui/edi_ean.pl. It's only the page
  structure we're worried about.
- Acquisitions -> Orders search
- Acquisitions -> Vendor -> Invoices -> Invoice search
  - View an invoice
  - Manage invoice files (Preference AcqEnableFiles must be enabled).
- Acquisitions -> Late orders

Patch applies and operates as described.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-07-06 14:47:07 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-07-10 08:24:55 UTC
Enhancement, not backporting to 18.05.x series.